weka.classifiers.trees.ht

## Class UnivariateNumericBinarySplit

- java.lang.Object
- - weka.classifiers.trees.ht.Split
  - - weka.classifiers.trees.ht.UnivariateNumericBinarySplit

- All Implemented Interfaces:
    java.io.Serializable

      public class UnivariateNumericBinarySplit
      extends Split
      implements java.io.Serializable

  A binary split based on a single numeric attribute
  Version:
    $Revision: 9705 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnivariateNumericBinarySplit(java.lang.String attName, double splitPoint)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `branchForInstance(Instance inst)` Returns the name of the branch that the supplied instance would go down
    `java.lang.String` | `conditionForBranch(java.lang.String branch)` Returns the condition for the supplied branch name

    - ### Methods inherited from class weka.classifiers.trees.ht.Split

      `splitAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnivariateNumericBinarySplit

          public UnivariateNumericBinarySplit(java.lang.String attName,
                                              double splitPoint)

      Constructor
      Parameters:
        `attName` - the name of the attribute to split on
        `splitPoint` - the split point

  - ### Method Detail

    - #### branchForInstance

          public java.lang.String branchForInstance(Instance inst)

      Description copied from class: `Split`
      Returns the name of the branch that the supplied instance would go down
      Specified by:
        `branchForInstance` in class `Split`
      Parameters:
        `inst` - the instance to find the branch for
      Returns:
        the name of the branch that the instance would go down

    - #### conditionForBranch

          public java.lang.String conditionForBranch(java.lang.String branch)

      Description copied from class: `Split`
      Returns the condition for the supplied branch name
      Specified by:
        `conditionForBranch` in class `Split`
      Parameters:
        `branch` - the name of the branch to get the condition for
      Returns:
        the condition (test) that corresponds to the named branch